﻿using System.Windows;
using System.Windows.Controls;

namespace TestWPF
{
	public class MyStyleSelector : StyleSelector
	{
		public Style Red { get; set; }
		public Style Blue { get; set; }
		public Style Green { get; set; }
		public Style Purple { get; set; }

		public override System.Windows.Style SelectStyle(object item, System.Windows.DependencyObject container)
		{
			// Put your style selection logic here:	
			var number = (int)item;

			switch (number % 4)
			{
				case 0:
					return this.Red;
				case 1:
					return this.Blue;
				case 2:
					return this.Green;
				case 3:
					return this.Purple;
			}

			return null;
		}
	}
}
